apiVersion: apps/v1
kind: Deployment
metadata:
  name: synapse-admin
  namespace: matrix
spec:
  replicas: 1
  selector:
    matchLabels:
      app: synapse-admin
  template:
    metadata:
      labels:
        app: synapse-admin
    spec:
      containers:
        - name: synapse-admin
          image: awesometechnologies/synapse-admin:latest
          ports:
            - containerPort: 80
          readinessProbe:
            httpGet:
              path: /
              port: 80
            initialDelaySeconds: 5
            timeoutSeconds: 3
          livenessProbe:
            httpGet:
              path: /
              port: 80
            initialDelaySeconds: 15
            timeoutSeconds: 3
---
apiVersion: v1
kind: Service
metadata:
  name: synapse-admin
  namespace: matrix
spec:
  selector:
    app: synapse-admin
  ports:
    - name: http
      port: 80
      targetPort: 80
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: synapse-admin
  namespace: matrix
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
spec:
  tls:
    - hosts:
        - synapse-admin.matrix-lp.allarddcs.nl
  rules:
    - host: synapse-admin.matrix-lp.allarddcs.nl
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: synapse-admin
                port:
                  number: 80
